# -*- coding: utf-8 -*-
from setuphelpers import *


# https://adoptium.net/installation/windows/
properties = "ADDLOCAL=FeatureMain,FeatureEnvironment,FeatureJarFileRunWith,FeatureJavaHome,FeatureOracleJavaSoft"
# properties = "INSTALLLEVEL=1"


def install():
    # Declaring local variables
    package_version = control.get_software_version()
    bin_type = control.package.rsplit("-", 1)[-1]
    openjdk_version = control.get_software_version().split(".")[0]
    bin_contains = f"OpenJDK{openjdk_version}U"

    # # Uninstalling older versions of the software
    # for to_uninstall in installed_softwares(name="Eclipse Temurin JRE"):
    #     if Version(to_uninstall["version"]) < Version(control.get_software_version()) or force:
    #         print("Removing: %s (%s)" % (to_uninstall["name"], to_uninstall["version"]))
    #         killalltasks(ensure_list(control.impacted_process))
    #         run(uninstall_cmd(to_uninstall["key"]))
    #         wait_uninstallkey_absent(to_uninstall["key"])
    #         if isdir(to_uninstall["install_location"]):
    #             remove_tree(to_uninstall["install_location"])

    # Installing the software
    if not "arm" in control.architecture:
        bin_name_x86 = glob.glob("%s*x86*.msi" % bin_contains)[0]
        install_msi_if_needed(
            bin_name_x86,
            properties=properties,
        )
    if "x64" in control.architecture:
        bin_name_x64 = glob.glob("%s*x64*.msi" % bin_contains)[0]
        install_msi_if_needed(
            bin_name_x64,
            properties=properties,
        )
